$(document).ready(function () {
    initializateUI();
    bindEvent();
});

function initializateUI() {
    UICtrl.layout("#layout", {leftWidth: 3});
}

function bindEvent() {

    $('#werksName').searchbox({
        type: "system", name: "dictionary",
        getParam: function (item) {
            return {fieldName: "WERKS"}
        },
        onChange: function (value, data) {
            $('#werks').val(data.WERKS);
            $('#werksName').val(data.NAME1);
        }
    });
    $('#storeName').searchbox({
        type: "system", name: "dictionary",
        getParam: function (item) {
            if (Public.isBlank($('#werks').val())){
                Public.tip("请先选择工厂");
                return false;
            }
            return {fieldName: "LGORT"}
        },
        onChange: function (value, data) {
            $('#store').val(data.LGORT);
            $('#storeName').val(data.LGOBE);
        }
    });
    $('#unitName').searchbox({
        type: "system", name: "dictionary",
        getParam: function (item) {
            return {fieldName: "MEINS"}
        },
        onChange: function (value, data) {
            $('#unit').val(data.MSEHI);
            $('#unitName').val(data.MSEHL);
        }
    });
}

function setId(value) {
    $('#id').val(value);
}

function getId() {
    return $("#id").val();
}